Jobs
Get Job
Retrieve a single job by its QRN.
Authorizations
X-API-KEYstringheaderrequiredAuthenticate requests using an API key linked to your qBraid account. Obtain your key by registering or logging in at account.qbraid.com.
Path Parameters
job_qrnstringrequiredThe job qrn (qBraid Resource Name).
Response
200Success.
successbooleanrequireddataobjectrequiredSchema for runtime job model
404Job not found.
curl --request GET \
--url https://api-v2.qbraid.com/api/v1/jobs/{job_qrn} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api-v2.qbraid.com/api/v1/jobs/{job_qrn}"
headers = {
"X-API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.json())const url = "https://api-v2.qbraid.com/api/v1/jobs/{job_qrn}";
const options = {
method: "GET",
headers: {"X-API-KEY":"<api-key>"},
};
const response = await fetch(url, options);
console.log(await response.json());<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-v2.qbraid.com/api/v1/jobs/{job_qrn}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api-v2.qbraid.com/api/v1/jobs/{job_qrn}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api-v2.qbraid.com/api/v1/jobs/{job_qrn}"))
.header("X-API-KEY", "<api-key>")
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
HttpResponse<String> response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());require 'uri'
require 'net/http'
url = URI("https://api-v2.qbraid.com/api/v1/jobs/{job_qrn}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"name": "<string>",
"shots": 123,
"deviceQrn": "<string>",
"tags": {},
"runtimeOptions": {},
"jobQrn": "<string>",
"batchJobQrn": "<string>",
"vendor": "aws",
"provider": "aqt",
"status": "<string>",
"statusMsg": "<string>",
"experimentType": "<string>",
"queuePosition": 123,
"timeStamps": {
"createdAt": "2024-01-01T00:00:00Z",
"endedAt": "2024-01-01T00:00:00Z",
"executionDuration": 123
},
"cost": 123,
"estimatedCost": 123,
"metadata": {}
}
}{
"success": false,
"message": "<string>",
"error": {
"message": "<string>",
"code": "<string>"
}
}GET
Get a job
Get a job
Response
Fill in the request and press Send to see the live response.200
{
"success": true,
"data": {
"name": "My quantum job",
"shots": 1000,
"deviceQrn": "qbraid:qbraid:sim:qir-sv",
"tags": {},
"runtimeOptions": {},
"jobQrn": "qbraid:job:abc123xyz",
"batchJobQrn": null,
"vendor": "qbraid",
"provider": "qbraid",
"status": "COMPLETED",
"statusMsg": null,
"experimentType": "gate_model",
"queuePosition": null,
"timeStamps": {
"createdAt": "2025-01-15T10:30:00Z",
"endedAt": "2025-01-15T10:30:05Z",
"executionDuration": 5000
},
"cost": 0.501875,
"estimatedCost": 0.5,
"metadata": {}
}
}Was this page helpful?
Thanks for your feedback.

